/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Nakata, Maho
 * 
 * $Id: Mlsame.debug.cpp,v 1.3 2009/09/14 21:31:45 nakatamaho Exp $ 
 *
 * MPACK - multiple precision arithmetic library
 *
 * This file is part of MPACK.
 *
 * MPACK is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * MPACK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with MPACK.  If not, see
 * <http://www.gnu.org/licenses/lgpl.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#include <mblas.h>
#include <blas.h>
#include <mpack_debug.h>

#if defined VERBOSE_TEST
#include <iostream>
#endif

void
Mlsame_test()
{
//  char a="A";
//  char b="A";
    int errorflag = FALSE;

    if (Mlsame("A", "A"))
	printf("same letter ok\n");
    else {
	printf("same letter NG\n");
	errorflag = TRUE;
    }
    if (Mlsame("A", "a"))
	printf("Uppercase/lowercase ok\n");
    else {
	printf("Uppercase/lowercase NG\n");
	errorflag = TRUE;
    }

    if (Mlsame("A", "aho"))
	printf("Only looks for the first char ok\n");
    else {
	printf("Only looks for the first char NG\n");
	errorflag = TRUE;
    }

    if (Mlsame("Inv", "inv"))
	printf("Only looks for the first char ok\n");
    else {
	printf("Only looks for the first char NG\n");
	errorflag = TRUE;
    }

    if (errorflag == TRUE) {
	printf("Mlsame test failed...\n");
	exit(1);
    }
}

int
main(int argc, char *argv[])
{
    Mlsame_test();
    printf("Mlsame test passed...\n");
    return(0);
}
