/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Nakata, Maho
 * 
 * $Id: xerbla.cpp,v 1.4 2009/09/24 05:39:01 nakatamaho Exp $ 
 *
 * MPACK - multiple precision arithmetic library
 *
 * This file is part of MPACK.
 *
 * MPACK is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * MPACK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with MPACK.  If not, see
 * <http://www.gnu.org/licenses/lgpl.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#include <stdio.h>
#include <string.h>
#include <complex>
#include <blas.h>

int blas_errno;

#define LENGTH 8
/*
usual xerbla in BLAS stops when parameters are illgal
to stop such behaviour, we override xerbla with following function
*/

int xerbla_f77(const char *srname, int *info)
{
    char name[LENGTH] = { '\0' };
    strncpy(name, srname, 6);
    fprintf(stderr,
	" ** On entry to %6s parameter number %2d had an illegal value\n",
	name, *info);
    blas_errno=*info;
    return *info;
}
