/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Nakata, Maho
 * 
 * $Id: Rlaruv.cpp,v 1.4 2009/09/25 04:00:39 nakatamaho Exp $ 
 *
 * MPACK - multiple precision arithmetic library
 *
 * This file is part of MPACK.
 *
 * MPACK is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * MPACK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with MPACK.  If not, see
 * <http://www.gnu.org/licenses/lgpl.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#include <mblas.h>
#include <mlapack.h>

void
Rlaruv(INTEGER *iseed, INTEGER n, REAL * x)
{
#if defined ___MPACK_BUILD_WITH_GMP___
    gmp_randclass *uniformrandom;
    uniformrandom = new gmp_randclass(gmp_randinit_default);
    for (INTEGER i = 0; i < n; i++) {
	x[i] = uniformrandom->get_f();
    }
#endif
#if defined ___MPACK_BUILD_WITH_QD___
    for (INTEGER i = 0; i < n; i++) {
	x[i] = qdrand();
    }
#endif
#if defined ___MPACK_BUILD_WITH_DD___
    for (INTEGER i = 0; i < n; i++) {
	x[i] = ddrand();
    }
#endif

}
